Productsup
API referenceV1Export template attribute

Bulk create export template attributes

Same requirements as for the creation of a single export template attribute. Max 500 entries. requestKey must be a unique identifier for each entry.

POST
/V1/export-templates/{id}/attributes/bulk-create

Authorization

bearerAuth
AuthorizationBearer <token>

ProductsUp Keycloak JWT bearer token.

In: header

Path Parameters

id*string

Export template id.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://export-template-api.productsup.com/V1/export-templates/string/attributes/bulk-create" \  -H "Content-Type: application/json" \  -d '{    "entries": [      {        "requestKey": "1",        "exportField": {          "fieldName": "color",          "alias": "some alias",          "mandatory": true,          "flag": "colors",          "isDefaultTrackingColumn": true,          "isUniqueColumn": true,          "order": 5,          "deltaIgnore": true,          "deltaKey": true,          "automapIgnore": true,          "description": "some description",          "format": "String (Unicode Characters)",          "examples": [            "some example"          ]        }      },      {        "requestKey": "2",        "exportField": {          "fieldName": "brand",          "mandatory": false,          "order": 2        }      },      {        "requestKey": "3",        "exportField": {          "fieldName": "size",          "order": 3        }      }    ]  }'
{
  "data": [
    {
      "errors": [],
      "requestKey": "1",
      "details": {
        "entityId": 995308
      }
    },
    {
      "errors": [],
      "requestKey": "2",
      "details": {
        "entityId": 995309
      }
    },
    {
      "errors": [],
      "requestKey": "3",
      "details": {
        "entityId": 995310
      }
    }
  ]
}
{
  "errors": {
    "message": "Request validation has encountered constraint violations.",
    "errors": {
      "entries": [
        "This collection should contain 500 elements or less."
      ]
    }
  }
}
{
  "errors": {
    "message": "Resource access denied."
  }
}

How is this guide?